or Connect
AppleInsider › Forums › General › Genius Bar › Apple Software › What machine will run 7.5.3?
New Posts  All Forums:Forum Nav:

What machine will run 7.5.3?

post #1 of 3
Thread Starter 

Hi all.  Thanks for your help.  I just got an old 4x5 digital camera back that needs OS 7.5.3 to run (says the manual)  not sure how it'll do with newer os, probably not well. Can anyone tell me if I can run 7.5.3 on a G4.  I have one sitting in my closet.  Or do I need an older mac?  Thanks so much - Nick

post #2 of 3

*whistles*

 

That's some memories right there.

 

The last machine that could run 7.5.3 was the Macintosh LC 580 or the PowerMac 7220. Nothing newer will boot it, so no, a G4 won't. You're SURE you can't use any newer software with this thing?

Originally posted by Marvin

Even if [the 5.5” iPhone exists], it doesn’t deserve to.
Reply

Originally posted by Marvin

Even if [the 5.5” iPhone exists], it doesn’t deserve to.
Reply
post #3 of 3
Thread Starter 

No, not sure it won't run with another os.  I've got an email into the Phase One forum also.  But don't know what to expect from them..... as few people check the page that includes this model camera.  Thanks for your reply though.. Maybe I'll be seaching for a Power Mac 7220.... or find a PC that'll run Windows 95, that'll work too.  Probably more of those around...  Thanks again - Nick

New Posts  All Forums:Forum Nav:
  Return Home
  Back to Forum: Apple Software
AppleInsider › Forums › General › Genius Bar › Apple Software › What machine will run 7.5.3?